# Mailcow setup
## install docker
*https://docs.docker.com/install/linux/docker-ce/debian/#prerequisites*
```bash
apt install \
    apt-transport-https \
    ca-certificates \
    curl \
    gnupg2 \
    software-properties-common
curl -fsSL https://download.docker.com/linux/debian/gpg | apt-key add -
apt-key fingerprint 0EBFCD88
sudo add-apt-repository \
   "deb [arch=amd64] https://download.docker.com/linux/debian \
   $(lsb_release -cs) \
   stable"
apt update
apt install docker-ce docker-ce-cli containerd.io
```

## install docker-compose
```bash
curl -L "https://github.com/docker/compose/releases/download/1.25.0/docker-compose-$(uname -s)-$(uname -m)" -o /usr/local/bin/docker-compose
chmod +x /usr/local/bin/docker-compose
```

## install mailcow
```bash
umask
# should equal 0022
cd /opt
git clone https://github.com/mailcow/mailcow-dockerized
cd mailcow-dockerized
docker-compose pull
docker-compose up -d
vim mailcow.conf
# enable SKIP_HTTP_VERIFICATION=n 
```

## troubleshooting
* cannot receive mail from accounts that aren't local
    * applied fix: https://github.com/mailcow/mailcow-dockerized/issues/776 (srv01.dreckbu.de dest)